--******************************************
--*                                        *
--* Activity_Log_Handler                   * BODY
--*                                        *
--******************************************
with Ada.Text_IO;
with Time_Keeper;
package body Activity_Log_Handler is

  FP : Ada.Text_IO.FILE_TYPE;
  Activity_Log_File_Name : constant STRING := "activity.log";
  First_Write_Done       : BOOLEAN         := FALSE;

  --******************************************************
  --*                                                    *
  --* Activity_Log_Handler.Put_Line_to_Activity_Log_File *
  --*                                                    *
  --******************************************************
  procedure Put_Line_to_Activity_Log_File (Line : in STRING := "") is
  begin
    if First_Write_Done then
      Ada.Text_IO.Put_Line (FP, Line);
    else
      Ada.Text_IO.Create (FP, Ada.Text_IO.OUT_FILE, Activity_Log_File_Name);
      Ada.Text_IO.Put_Line (FP, "Activity Log " & Activity_Log_File_Name &
        " created on " & Time_Keeper.Current_Day_and_Date);
      Ada.Text_IO.Put_Line (FP, Line);
      First_Write_Done := TRUE;
    end if;
  exception
    when others =>
      raise WRITE_ERROR;
  end Put_Line_to_Activity_Log_File;

  --******************************************************
  --*                                                    *
  --* Activity_Log_Handler.Close_Activity_Log_File       *
  --*                                                    *
  --******************************************************
  procedure Close_Activity_Log_File is
  begin
    if First_Write_Done then
      Ada.Text_IO.Close (FP);
    end if;
  end Close_Activity_Log_File;

end Activity_Log_Handler;
