--******************************************
--*                                        *
--* Activity_Log_Handler                   * SPEC
--*                                        *
--******************************************
package Activity_Log_Handler is
--| PURPOSE
--| Support the creation and manipulation of an activity log file.  The
--| name of this file is "activity.log" and is placed into the current
--| directory.
--|
--| AUTHOR
--| Richard Conn  1.0  12 Mar 96  Initial Version (based on previous experiences)

  --******************************************************
  --*                                                    *
  --* Activity_Log_Handler.Put_Line_to_Activity_Log_File *
  --*                                                    *
  --******************************************************
  procedure Put_Line_to_Activity_Log_File (Line : in STRING := "");
  --| PURPOSE
  --| Write a line to the activity log file.  If this is the first line
  --| written to the log file, the name of the log file and the date are
  --| also written to the log file.
  --|
  --| RAISES
  --|   WRITE_ERROR if any problem comes up

  --******************************************************
  --*                                                    *
  --* Activity_Log_Handler.Close_Activity_Log_File       *
  --*                                                    *
  --******************************************************
  procedure Close_Activity_Log_File;
  --| PURPOSE
  --| Close the activity log file.  If nothing has been written to it,
  --| do nothing.

  WRITE_ERROR : exception;

end Activity_Log_Handler;
