-- **************************************
-- *                                    *
-- * Command Line Interface             * BODY
-- *                                    *
-- **************************************
-- This implementation of Package Body CLI is for Ada95
with Ada.Command_Line; -- Ada95 standard
package body Command_Line_Interface is

  --***************************************
  --*                                     *
  --* Command_Line_Interface.Token_Count  *
  --*                                     *
  --***************************************
  function Token_Count return NATURAL is
  begin
    return Ada.Command_Line.Argument_Count+1; -- add the command name
  end Token_Count;

  --***************************************
  --*                                     *
  --* Command_Line_Interface.Token_Value  *
  --*                                     *
  --***************************************
  function Token_Value (Index : in NATURAL) return STRING is
  begin
    if Index >= Token_Count then
      raise INVALID_INDEX;
    end if;
    if Index = 0 then -- Command name
      return Ada.Command_Line.Command_Name;
    else -- Token
      return Ada.Command_Line.Argument (POSITIVE(Index));
    end if;
  exception
    when INVALID_INDEX  =>
      raise ;
    when others    =>
      raise UNEXPECTED_ERROR;
  end Token_Value;
   
end Command_Line_Interface;
