with Report_Generator;
with Console;
procedure RG_Test is

  package My_Report_Generator is new Report_Generator
    (Report_File_Name   => "RG_Test.rpt",
     Contents_File_Name => "RG_Test.toc",
     Page_Header_Line   => "Report Generator Test 1",
     Left_Margin        => 10,
     Right_Margin       => 40,
     Top_Margin         => 6,
     Bottom_Margin      => 16);

begin -- RG_Test

  My_Report_Generator.Create_Report_and_Contents_Files;

  My_Report_Generator.Put_Line_to_Report_File ("RG Test 1",
    Center_the_Line => TRUE);
  My_Report_Generator.Put_Line_to_Contents_File("RG Test 1",
    Append_Page_Number => TRUE);
  My_Report_Generator.Put_Line_to_Report_File ("This is a test");
  My_Report_Generator.Put_Line_to_Report_File
    ("This line is long enough to cause a hyphenation to occur");

  for I in 1 .. 40 loop
    My_Report_Generator.Put_Line_to_Report_File ("Line " & INTEGER'IMAGE(I));
  end loop;

  My_Report_Generator.Put_Line_to_Report_File;
  My_Report_Generator.Put_Line_to_Report_File("Double-Hyphenation",
    Center_the_Line => TRUE);
  My_Report_Generator.Put_Line_to_Contents_File("Double-Hyphenation",
    Append_Page_Number => TRUE);
  My_Report_Generator.Put_Line_to_Report_File
    ("This line is long enough to cause a double-hyphenation to occur that should work correctly");
  My_Report_Generator.Put_Line_to_Report_File
    ("This line is long enough to cause indentation with a triple-hyphenation to occur that should work correctly",
     FALSE, 2);

  My_Report_Generator.Close_Report_and_Contents_Files;

exception

  when My_Report_Generator.FILE_CREATION_ERROR =>
    Console.Put_Line("Error - Cannot create report/contents files");

  when My_Report_Generator.FILE_WRITE_ERROR    =>
    Console.Put_Line
      ("Error - Cannot write to report/contents files (disk full?)");

  when others                                  => -- anything else go wrong?
    Console.Put_Line("Error - Unknown");

end RG_Test;

